---------------------
PatchSet 3100 
Date: 2001/10/04 16:52:02
Author: adri
Branch: coss
Tag: (none) 
Log:


* modify sdirno to be a char rather than an int
* modify the StoreEntry struct to not have explicit bit field sizes

This'll allow COSS to work with the full 32-bit sfileno space

Members: 
	src/structs.h:1.42->1.42.2.1 
	src/typedefs.h:1.23->1.23.12.1 

Index: squid/src/structs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/structs.h,v
retrieving revision 1.42
retrieving revision 1.42.2.1
diff -u -r1.42 -r1.42.2.1
--- squid/src/structs.h	30 Sep 2001 17:11:13 -0000	1.42
+++ squid/src/structs.h	4 Oct 2001 16:52:02 -0000	1.42.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: structs.h,v 1.42 2001/09/30 17:11:13 squidadm Exp $
+ * $Id: structs.h,v 1.42.2.1 2001/10/04 16:52:02 adri Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -1486,8 +1486,8 @@
     time_t expires;
     time_t lastmod;
     size_t swap_file_sz;
-    sfileno swap_filen:25;
-    sdirno swap_dirn:7;
+    sfileno swap_filen;
+    sdirno swap_dirn;
     u_short refcount;
     u_short flags;
     u_short lock_count;		/* Assume < 65536! */
Index: squid/src/typedefs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/typedefs.h,v
retrieving revision 1.23
retrieving revision 1.23.12.1
diff -u -r1.23 -r1.23.12.1
--- squid/src/typedefs.h	12 Aug 2001 15:20:28 -0000	1.23
+++ squid/src/typedefs.h	4 Oct 2001 16:52:06 -0000	1.23.12.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: typedefs.h,v 1.23 2001/08/12 15:20:28 squidadm Exp $
+ * $Id: typedefs.h,v 1.23.12.1 2001/10/04 16:52:06 adri Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -39,7 +39,7 @@
 typedef unsigned int ping_status_t;
 typedef unsigned int swap_status_t;
 typedef signed int sfileno;
-typedef signed int sdirno;
+typedef signed char sdirno;
 
 typedef struct {
     size_t bytes;
